# Manual do &konsole;

&Jonathan.Singer; &Jonathan.Singer.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Robert.Knight; &Robert.Knight.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Waldo.Bastian; &Waldo.Bastian.mail;
&Mike.McBride; &Mike.McBride.mail;
Marcus
Gama

    marcus.gama@gmail.com

Tradução
André Marcelo
Alvarenga

    alvarenga@kde.org

Tradução
2000
2001
2002
&Jonathan.Singer;
2005
2008
2009
2010
2011
2014
&Kurt.Hindenburg;
&FDLNotice;
27/05/2015
15.04

&konsole; é o emulador de terminal do &kde;.

KDE
konsole
kdebase
comando
linha
terminal
cli

## Introdução

### O que é um terminal?

&konsole; é um emulador de terminais X, frequentemente denominado como um terminal, console ou shell. Emula uma interface de linha de comando em uma janela somente com texto.

Geralmente executa um comando do shell, um aplicativo que executa os comandos digitados. O shell que o &konsole; executa depende das configurações da sua conta. Consulte a documentação do seu sistema operacional para saber qual é o shell e como fazer para configurar e usá-lo.

### Histórico

O &konsole; usa a noção de histórico para permitir que os usuários vejam os resultados apresentados anteriormente. Por padrão, o histórico está ativo e armazena 1.000 linhas de resultado, além do que já está sendo mostrado na tela.

Conforme as linhas se deslocam para a parte superior da tela, elas podem ser revistas ao mover a barra de rolagem para cima, com uso da roda do mouse ou através das teclas &Shift;Page Up (para mover para trás), &Shift;Page Down (para mover para frente), &Shift;Seta para cima (para mover uma linha acima) e &Shift;Seta para baixo (para mover uma linha abaixo).

A configuração de rolagem com uso das teclas &Shift;Page Up/Down pode ser alterada de meia página para uma página inteira, na aba Rolagem da janela de configuração do perfil (use a opção Configurações Editar o perfil atual... para abrir essa janela).

### Perfis

Os perfis permitem ao usuário automatizar rápida e facilmente a execução de comandos comuns. Podemos citar os exemplos:

- ssh para outra máquina

- iniciar uma sessão de IRC

- usar o 'tail' para monitorar um arquivo

Procedimentos para criar um novo perfil:

1. Clique no item de menu Configurações Gerenciar perfis...

2. Clique no botão Novo perfil....

3. Preencha o primeiro campo com um nome. Este é o nome que aparecerá no menu e será o texto padrão em substituição ao Shell, quando iniciar uma sessão desse tipo.

4. Insira um comando como você normalmente faria se abrisse um novo shell e digitasse esse comando. Para nosso primeiro exemplo acima, você pode digitar ``ssh` administracao`.

5. Nas outras abas da janela, configure a aparência desta sessão. É possível configurar uma fonte diferente, um esquema de cores, o tipo $`TERM` e muitas outras definições para cada sessão.

6. Clique no botão OK. A nova sessão ficará disponível na caixa de diálogo Gerenciar perfis....

Os perfis que tenham a opção Mostrar no menu assinalada, terão seus nomes listados no menu Arquivo Nova aba. Não haverá nenhum submenu se apenas o perfil padrão estiver com a opção assinalada.

### Botões do mouse

Esta seção detalha o uso dos botões do mouse, na ordem normalmente usada por pessoas destras. Para canhotos, é necessário inverter a ordem dos botões no texto abaixo.

Esquerdo

  Todos os cliques com o &LMB; serão enviados para um aplicativo com suporte a mouse, que esteja em execução no &konsole;. Se um aplicativo reagir aos cliques de mouse, o &konsole; indicará isso mostrando um cursor em forma de seta. Caso contrário, será mostrado um cursor em forma de barra (I).

  Manter o &LMB; pressionado e arrastar o mouse sobre a tela que tenha um aplicativo sem suporte a mouse em execução, apenas marcará uma região de texto. Ao arrastar com o mouse, o texto marcado será exibido em cores invertidas para ser facilmente visto. Selecione o item Copiar no menu Editar para copiar o texto marcado para a área de transferência, de forma a poder usá-lo posteriormente dentro do &konsole; ou em outro aplicativo. Também poderá arrastar e soltar o texto selecionado em aplicativos compatíveis com esse recurso. Mantenha a tecla &Ctrl; pressionada e arraste o texto selecionado para o local desejado.

  Normalmente, os caracteres de mudança de linha são inseridos ao final de cada linha selecionada. Isso é melhor para recortar e colar de código-fonte ou o resultado de um comando qualquer. Para texto comum, as quebras de linha normalmente não são importantes. Você pode preferir, no entanto, que o texto seja uma sequência de caracteres que será automaticamente reformatada ao colar em outro aplicativo. Para selecionar em modo de sequência de texto, mantenha pressionada a tecla &Ctrl; enquanto efetua a seleção.

  Pressionar as teclas &Ctrl; e &Alt;, em conjunto com o &LMB;, irá selecionar o texto em colunas.

  O clique duplo com o &LMB; seleciona uma palavra e o clique triplo seleciona uma linha inteira.

  Se o limite superior ou inferior da área de texto for alterado enquanto é feita a marcação, o &konsole; rola para cima ou para baixo, eventualmente apresentando algum texto que estiver armazenado no histórico. A rolagem será interrompida para quando cessar o movimento do mouse.

  Após soltar o mouse, o &konsole; tenta manter o texto na área de transferência visível, mantendo a área marcada invertida. A área marcada voltará ao normal tão logo mude o conteúdo da área de transferência, o texto na área marcada seja alterado ou o &LMB; seja clicado.

  Para marcar o texto de um aplicativo com suporte a mouse (Midnight Commander, por exemplo), pressione a tecla &Shift; ao clicar.

Meio

  Pressionar o &MMB; cola o texto existente na área de transferência. Manter a tecla &Ctrl; pressionada enquanto pressiona o &MMB; cola o texto e adiciona uma nova linha. Isso é conveniente para executar de imediato o comando que for colado, mas por ser potencialmente perigoso, deve ser utilizado com cuidado.

  Se possuir um mouse com apenas dois botões e pressionar o botão esquerdo e o direito ao mesmo tempo, será emulado o botão do meio de um mouse com três botões.

  Caso tenha uma roda como botão do meio, ao girá-la em um programa que não tenha suporte a mouse irá mover a barra de rolagem do &konsole;.

Direito

  Estes itens aparecem no menu quando o &RMB; é pressionado: Copiar, Colar, Abrir gerenciador de arquivos, Definir codificação, Limpar histórico, Ajustar histórico..., Mostrar barra de menus, Mudar o perfil, Editar o perfil atual... e Fechar aba.

  Em um aplicativo com suporte a mouse, pressione a tecla &Shift; em conjunto com o &RMB; para ver o menu de contexto.

### Arrastar e soltar

Se soltar um arquivo, pasta ou &URL; em uma janela do &konsole;, irá aparecer um menu de contexto com estas ações:

Menu de contexto de arrastar e soltar
Menu de contexto de arrastar e soltar

&Shift;Mover aqui

  Move o item solto para a pasta atual. Esse item só aparece no menu de contexto se você tiver permissão para excluir o arquivo ou pasta solto.

&Ctrl;Copiar aqui

  Copia o item solto para a pasta atual.

&Ctrl;&Shift;Criar link aqui

  Cria um link simbólico para o item solto.

Colar localização

  Insere o caminho completo do arquivo do item solto no cursor.

Alterar a pasta para

  Se soltar uma pasta, esta ação aparece no menu de contexto e permite-lhe alterar a pasta de trabalho da sessão do &konsole;.

&Esc;Cancelar

  Interrompe a ação de arrastar e soltar.

Em uma ação de arrastar e soltar, caso pressione as teclas de atalho antes de soltar o &LMB;, nenhum menu de contexto aparecerá e as ações serão executadas imediatamente.

## Referência de comandos

### Barra de menus

A barra de menus encontra-se no topo da janela do &konsole;. Se ela estiver oculta, a opção Exibir barra de menus poderá ser acessada clicando com o botão direito na janela (desde que não esteja rodando nenhum aplicativo nessa janela, como o vi, minicom, etc.). O atalho padrão aparece ao lado de cada item do menu.

#### Menu Arquivo

&Ctrl;&Shift;N Arquivo Nova Janela

  Abre uma nova janela do &konsole; com o perfil padrão

&Ctrl;&Shift;T Arquivo Nova aba

  Abre uma nova aba com o perfil padrão

  O &konsole; vem com o perfil de Linha de Comando como padrão. Todos os perfis adicionados pelo usuário serão listados em um submenu. Não aparecerá nenhum submenu se somente existir o perfil padrão.

Arquivo Duplicar aba

  Tenta duplicar a aba atual em uma nova aba

&Ctrl;&Shift;S Arquivo Salvar saída como...

  Salva o histórico atual como um arquivo de texto ou HTML

&Ctrl;&Shift;P Arquivo Imprimir tela...

  Imprime a tela atual. Por padrão, o tamanho do resultado é ajustado para caber no papel, sendo impresso com o texto em preto e sem fundo. Na caixa de diálogo de impressão, estas opções podem ser alteradas na aba Opções do saída.

Arquivo Abrir gerenciador de arquivos

  Abre o gerenciador de arquivos do &kde; na pasta atual. Por padrão, este é o &dolphin;.

&Ctrl;&Shift;W Arquivo Fechar aba

  Fecha a aba atual

&Ctrl;&Shift;Q Arquivo Fechar janela

  Sai do &konsole;

  O &konsole; irá mostrar uma caixa de diálogo de confirmação, caso exista mais de uma aba aberta. Esta caixa de diálogo poderá ser desativada se assinalar a opção Não perguntar novamente.

#### Menu Editar

&Ctrl;&Shift;C Editar Copiar

  Copia o texto selecionado para a área de transferência

&Ctrl;&Shift;V Editar Colar

  Cola o texto da área de transferência na localização do cursor

Editar Selecionar tudo

  Seleciona todo o texto na janela atual

Editar Copiar a entrada para Todas as abas da janela atual

  Permite que a inserção de dados da sessão atual seja enviada simultaneamente para todas as sessões da janela atual

&Ctrl;&Shift;. Editar Copiar a entrada para Selecionar abas...

  Permite que a inserção de dados da sessão atual seja enviada simultaneamente para todas as sessões escolhidas pelo usuário

&Ctrl;&Shift;/ Editar Copiar a Entrada Para Nenhuma

  Para o envio da entrada da sessão atual para as outras sessões

Editar Enviar sinal

  Envia o sinal indicado para o processo do console ou outro processo que tenha sido carregado quando a nova sessão foi iniciada.

  Os sinais atualmente disponíveis são:

  STOP | para interromper o processo
  CONT | para continuar, se estiver parado
  HUP | suspensão detectada no terminal em controle ou finalização do processo de controle
  INT | interrupção a partir do teclado
  TERM | sinal de finalização
  KILL | sinal de interrupção
  USR1 | sinal do usuário 1
  USR2 | sinal do usuário 2

  Consulte as páginas de manual do seu sistema para mais detalhes sobre o comando ``man` `7 signal``.

&Ctrl;&Alt;S Editar Renomear aba...

  Abre uma caixa de diálogo que permite mudar o nome da aba atual (mais informações)

&Ctrl;&Alt;U Editar Enviar por ZModem...

  Abre uma janela para selecionar um arquivo a enviar, caso esteja instalada a aplicação necessária

&Ctrl;&Shift;F Editar Localizar...

  Abre uma barra de pesquisa no fundo da janela do &konsole;

  Isto permite efetuar pesquisas com distinção de maiúsculas, para a frente ou para trás, ou ainda por expressões regulares.

F3 Editar Localizar próxima

  Move para a próxima instância de pesquisa . Se a barra de pesquisa estiver em foco, você também pode usar o atalho &Enter;.

&Shift;F3 Editar Localizar anterior

  Move para a instância de pesquisa anterior . Se a barra de pesquisa estiver em foco, você também pode usar o atalho &Shift;&Enter;.

#### Menu Exibir

&Ctrl;( Exibir Dividir a exibição Dividir a exibição em esquerda/direita

  Divide todas as abas em janelas esquerdas e direitas

  Todo o resultado de uma janela será duplicado na outra.

&Ctrl;) Exibir Dividir a exibição Dividir a exibição em superior/inferior

  Divide todas as abas em janelas superiores e inferiores

  Todo o resultado de uma janela será duplicado na outra.

&Ctrl;&Shift;S Exibir Dividir a exibição Fechar a ativa

  Fecha a exibição ativa

&Ctrl;&Shift;O Exibir Dividir a exibição Fechar as outras

  Fecha todas as exibições, menos a atual

&Ctrl;&Shift;] Exibir Dividir a exibição Expandir exibição

  Torna a exibição atual maior

&Ctrl;&Shift;[ Exibir Dividir a exibição Reduzir exibição

  Torna a exibição atual menor

&Ctrl;&Shift;H Exibir Desanexar a aba atual

  Abre a aba atual em uma janela separada

  Sair da janela anterior do &konsole; não afetará a janela recém-criada.

&Ctrl;&Shift;I Exibir Monitor para silêncio

  Ativa ou desativa o monitoramento da falta de atividade da aba atual

  Por padrão, após 10 segundos de inatividade, irá aparecer um ícone informativo na aba da sessão. O tipo de alerta poderá ser configurado através da opção Configurações Configurar notificações Silêncio em sessão monitorada.

&Ctrl;&Shift;A Exibir Monitor para atividades

  Ativa ou desativa a vigilância de atividade da aba atual

  Em caso de qualquer atividade, irá aparecer um ícone informativo na aba da sessão. O tipo de alerta poderá ser alterado através da opção Configurações Configurar notificações Atividade em sessão monitorada.

&Ctrl;+ Exibir Aumentar fonte

  Aumenta o tamanho do texto

&Ctrl;- Exibir Diminuir fonte

  Diminui o tamanho do texto

Exibir Definir codificação

  Altera a codificação de caracteres

Exibir Limpar histórico

  Limpa o texto no histórico

&Ctrl;&Shift;K Exibir Limpar histórico e reiniciar

  Limpa o texto na aba atual e no histórico, reiniciando depois o terminal

#### Menu Favoritos

&Ctrl;&Shift;B Favoritos Adicionar aos Favoritos

  Adiciona o local atual

Favoritos Adicionar abas aos favoritos como pasta...

  Adiciona todas as abas como uma pasta de favoritos

  Irá abrir uma janela para inserir o nome da pasta de favoritos.

Favoritos Nova Pasta de Favoritos

  Adiciona uma nova pasta à lista de favoritos

  Irá abrir uma janela para inserir o nome da pasta de favoritos.

Favoritos Editar Favoritos

  Abre o editor de favoritos

  Você poderá usar o editor de favoritos para adicionar URLs manualmente. No momento, o &konsole; tem suporte aos seguintes formatos:

  - ssh://usuário@máquina:porta

  - telnet://usuário@máquina:porta

#### Menu Configurações

Configurações Editar perfil atual...

  Abre um diálogo para editar o perfil atual

Configurações Alternar perfil

  Alterna o perfil atual para um perfil listado

Configurações Gerenciar perfis...

  Abre um editor para gerenciar os perfis

&Ctrl;&Shift;M Configurações Mostrar o Menu

  Ativa ou desativa a visibilidade do menu

F11 Configurações Modo de tela inteira

  Ativa ou desativa a ocupação de toda a tela pelo &konsole;

Configurações Configurar atalhos...

  Abre o editor de atalhos de teclado. Mais informações sobre a configuração de atalhos podem ser encontradas nos Fundamentos do &kde;.

  Além disso, o &konsole; tem alguns atalhos especiais sem itens de menu correspondentes:

  Atalho | Descrição
  --- | ---
  &Shift;Seta à direita | Próxima aba
  &Shift;Seta à esquerda | Aba anterior
  &Ctrl;&Shift;Seta à esquerda | Mover aba para a esquerda
  &Ctrl;&Shift;Seta à direita | Mover aba para a direita
  &Ctrl;&Shift;Ins | Colar a seleção
  &Shift;&Tab; | Próximo contêiner de visualização

Configurações Configurar notificações...

  Abre o editor de notificações

Configurações Configurar &konsole;...

  Abre o editor de configurações do &konsole;

  Esta caixa de diálogo tem opções que influenciam a aparência e comportamento da Barra de abas e opções gerais para a janela do &konsole;.

#### Menu Ajuda

O &konsole; tem alguns dos itens do menu Ajuda comuns do &kde;. Para mais informações, leia a seção Menu Ajuda nos Fundamentos do &kde;.

### Caixas de diálogo do &konsole;

#### Janela de Mudança de Nome da Página

O nome da aba atual poderá ser alterado com esta janela. A janela poderá ser exibida através do menu, usando o atalho &Ctrl;&Alt; S ou com um clique duplo na separador da página, na barra de abas. Estas alterações poderão se tornar permanentes ao editar o perfil atual.

O &konsole; irá substituir estes itens:

- %n : nome do programa

- %d : pasta atual (curta)

- %D : pasta atual (extensa)

- %w : título da janela definido pela linha de comando

- %# : número da sessão

- %u : nome do usuário

- %h : máquina local ou remota (curto)

- %H : máquina remota (extenso)

Exemplos:

- O `%d : %n`, com a '/usr/src' como pasta atual e executando o bash irá mostrar src : bash

- O `%D : %n`, com a '/usr/src' como pasta atual e executando o top irá mostrar usr/src : top

- O `%w (%#)`, com a ~ como pasta atual e executando o vim na primeira aba, irá mostrar [Sem Nome] (~) - VIM(1)

#### Janela de Cópia da Entrada

O texto inserido em uma aba poderá ser enviado simultaneamente para as outras abas. Esta janela permite-lhe selecionar quais as abas irão receber esses dados inseridos. A pasta atual irá ficar em cinza.

#### Janela de ajuste do histórico

As opções do histórico poderão ser alteradas nesta janela. Qualquer alteração será somente para a aba atual e não será salva no perfil.

## Opções da linha de comando

Quando o &konsole; é iniciado a partir da linha de comando, várias opções podem ser indicadas para modificar seu comportamento.

`--help`

  Lista diversas opções.

`--profile` `arquivo`

  Inicia o &konsole; usando o perfil indicado em vez do perfil padrão.

`--fallback-profile`

  Usa o perfil interno ALTERNATIVO. Esta opção é um atalho para `--profile` `ALTERNATIVO/`.

`--workdir` `pasta`

  Abre com a `pasta` como pasta de trabalho inicial.

`--hold, --noclose`

  Não fecha a sessão inicial automaticamente quando ela terminar.

`--new-tab`

  Cria uma nova aba em uma janela existente em vez de criar uma nova.

`--tabs-from-file` `arquivo`

  Cria abas a partir dos dados definidos no arquivo de configuração de abas indicado.

  O arquivo possui uma aba por linha, no seguinte formato:

  Cada linha define uma aba a abrir, usando até 4 campos para definir como será aberta. Os campos são separados com `;;` e o nome de um campo deverá ter um `:` adicionado. As linhas em branco ou que comecem com `#` serão ignoradas. Dessa forma, você pode usar uma linha que começa com `#` para adicionar comentários.

  - `title:` um nome para esta aba, sendo usado o valor padrão se estiver em branco ou não for indicado
  - `workdir:` pasta de trabalho, igual a `~` se estiver e branco ou não for indicada
  - `profile:` um perfil do &konsole; a ser utilizado, sendo usado o padrão se estiver em branco ou não for indicado
  - `command:` um comando a executar

  Cada linha deverá conter pelo menos um campo `command` ou `profile`.

  Exemplo: `title: %n;; command: /usr/bin/top ;; profile: Shell`

`--background-mode`

  Inicia o &konsole; em segundo plano e muda para primeiro plano ao pressionar &Ctrl;&Shift;F12 (atalho padrão).

`--separate`

  Executa a nova instância do &konsole; em um processo separado.

`--show-menubar`

  Mostra a barra de menus, sobrepondo-se ao comportamento padrão.

`--hide-menubar`

  Oculta a barra de menus, sobrepondo-se ao comportamento padrão.

`--show-tabbar`

  Mostra a barra de abas, sobrepondo-se ao comportamento padrão.

`--hide-tabbar`

  Oculta a barra de abas, sobrepondo-se ao comportamento padrão.

`--fullscreen`

  Inicia o &konsole; no modo de tela inteira.

`--notransparency`

  Desabilita fundos transparentes mesmo se existir suporte no sistema.

`--list-profiles`

  Lista todos os perfis disponíveis.

`--list-profile-properties`

  Lista todas as propriedades possíveis com o nome e tipo. Veja a opção `-p` .

  Para mais informações, consulte a Referência da API do &konsole;.

`-p` `propriedade=valor`

  Muda o valor de uma propriedade de perfil.

`-e` `comando`

  Executa o `comando` ao invés do shell normal.

  Esta opção irá capturar todos os argumentos seguintes passados ao &konsole; e executá-los como um `comando`. Por esse motivo, use esta opção sempre por último.

`--nofork`

  Não executa no plano de fundo. Isto é frequentemente necessário para simular outros emuladores de terminal.

O &konsole; também aceita opções genéricas do &Qt; e &kde;:

`--help-qt`

  Mostra as opções específicas do &Qt;

As seguintes opções do &Qt; não tem efeito no &konsole;:

`--fn`, `--font` `nomefonte`

  Define a fonte do aplicativo

`--bg`, `--background` `cor`

  Configura a cor de fundo padrão

`--fg`, `--foreground` `cor`

  Configura a cor de fonte padrão

`--btn`, `--button` `cor`

  Configura a cor de botão padrão

`--help-kde`

  Mostra as opções específicas do &kde;

`--help-all`

  Lista todas opções

`--author`

  Mostra o nome do autor

`-v,--version`

  Mostra o número de versão

`--license`

  Mostra informações sobre a licença

## Criação de scripts no &konsole;

O &konsole; tem suporte a diversos recursos que podem ser usados com o &DBus;.

Existem duas formas de usar a interface &DBus;: a Interface Gráfica do &Qt; qdbusviewer e o utilitário de linha de comando qdbus.

Exemplos:

- &percnt; `qdbus` irá mostrar todos os serviços disponíveis.

- &percnt; `qdbus` `org.kde.konsole` irá mostrar a interface &DBus; para o &konsole;.

- &percnt; `qdbus` `org.kde.konsole /Windows/1` irá mostrar os métodos para controle da janela 1.

  O /Konsole foi usado anteriormente para controlar a primeira janela, o que é um erro de arquitetura. Por favor, não o use mais para esse fim e considere atualizar os scripts existentes.

- &percnt; `qdbus` `org.kde.konsole /Sessions/1` irá mostrar os métodos para controle da sessão 1.

Se iniciar o &konsole; a partir de um terminal, pode ser necessário alterar o `org.kde.konsole` para `org.kde.konsole-`pidof -s konsole``.

Para obter mais informações, consulte o tutorial do &DBus;.

## Usando uma folha de estilo para a barra de abas

A folha de estilo padrão da barra de abas define as larguras mínima e máxima das abas. O usuário pode criar um arquivo `.css` e usá-lo como folha de estilo para a barra de abas do &konsole;. No arquivo `.css`, o elemento a ser usado é o `QTabBar::tab`.

Para mais informações, leia a página do Projeto &Qt; sobre Folhas de Estilo

Exemplos:

- Alterar o fundo da aba selecionada para cinza-claro

      QTabBar::tab:selected {
          background: #999999
      }

- Alterar o texto da aba selecionada para vermelho

      QTabBar::tab:selected {
          color: red
      }

- Todas as abas terão no mínimo 200 pontos de largura

      QTabBar::tab {
          min-width: 200px
      }

- Apenas a aba selecionada terá no mínimo 200 pontos de largura

      QTabBar::tab::selected {
          min-width: 200px
      }

- Qualquer um destes estilos pode ser combinado em um único arquivo

      QTabBar::tab::selected {
          background: #999999;
          color: red;
          min-width: 200px;
      }
      QTabBar::tab {
          min-width: 100px
      }

## Você sabia?, problemas comuns e outras informações

### Você sabia?

- Pressionar a tecla &Ctrl; ao selecionar um texto faz com que as quebras de linha sejam convertidas para espaços ao serem coladas.

- Pressionar as teclas &Ctrl;&Alt; ao selecionar um texto também irá selecionar as colunas.

- A combinação &Ctrl;Roda do mouse amplia ou reduz o tamanho do texto, como no Konqueror e Firefox.

- Quando um programa avalia os botões do mouse, pressionar a tecla &Shift; permitirá que o menu de contexto apareça.

- O atalho &Ctrl;&Shift;F10 ativará o menu.

- A combinação de teclas &Shift;Insert insere o conteúdo da área de transferência.

- Um clique duplo selecionará uma palavra inteira. Continuar com o botão do mouse pressionado e mover o mouse estenderá a seleção.

- Um clique triplo selecionará uma linha inteira. Continuar com o botão do mouse pressionado e mover o mouse estenderá a seleção.

- Existe uma funcionalidade oculta para o formatador "%d" no título da aba. Você pode indicar ao &konsole; para abreviar o nome de uma pasta para o seu primeiro caractere. Por exemplo, o "/local/do/konsole/src" pode ser abreviado para "konsole/s". Se deseja ativar e controlar esta funcionalidade oculta, abra o `~/.kde4/share/config/konsolerc` e adicione as seguintes linhas:

      [ProcessInfo]
      CommonDirNames=nome1,nome2,nome3...

  Se estiver usando o Yakuake, edite o arquivo `~/.kde4/share/config/yakuakerc`.

### Problemas comuns

- Por padrão, ao iniciar a partir de um terminal, o &konsole; rodará em segundo plano. Use `--nofork` para forçar que o &konsole; rode em primeiro plano.

  Isso é necessário para que alguns scripts e comandos funcionem como esperado:

  - `konsole --nofork -e sleep 3 ; echo 1`

  - `kdesu -u kdeuser konsole --nofork`

- Algumas fontes podem estar indisponíveis no &konsole;, mesmo que estejam disponíveis para outros aplicativos. Isto não significa que haja um erro no &konsole;. O &konsole; necessita de fontes de tamanho fixo para oferecer o melhor resultado visual e, desta forma, solicita ao &Qt; para apresentar apenas as fontes de tamanho fixo.

  Se tiver certeza de que uma fonte é realmente de tamanho fixo, mas não está disponível no &konsole;, então relate o problema para o &Qt;.

- Desde o KDE4, todas as abas usam o mesmo ID de processo. Isto tem um efeito colateral de que se o processo de uma aba tiver problemas, todas as outras abas podem experimentar o mesmo problema.

  Isto é particularmente percebido quando um comando que se conecta a um dispositivo externo ou sistema (ssh, nfs) apresenta problemas.

- O &konsole; trata os argumentos após a opção `-e` como um único comando, executando-o diretamente, em vez de os processar e dividir em subcomandos para execução. Isto é diferente no xterm.

  - `konsole -e "comando1 ; comando2"` não funciona

  - `konsole -e $SHELL -c "comando1 ; comando2"` funciona

- O &konsole; não fornece nenhuma capacidade para executar uma shell de autenticação, porque os desenvolvedores não gostam da ideia de executar shell de autenticação em um emulador de terminal.

  Obviamente, os usuários podem ainda executar shell de autenticação no &konsole; se realmente necessitarem disto. Edite o perfil usado e modifique o comando de forma a iniciar um shell de autenticação de forma explícita, como por exemplo, "`bash -l`" ou "`zsh -l`".

- A opção `--new-tab` comporta-se algumas vezes de forma estranha. Ela pode criar uma nova janela ou aba em outra janela existente do &konsole;, em vez da janela atual.

  Esses comportamentos são estranhos, mas não são necessariamente erros. A opção `--new-tab` tenta reutilizar as janelas existentes do &konsole;, mas nem todas as janelas do &konsole; podem ser reutilizadas. Todas as janelas do &konsole; abertas através do &krunner; podem ser reutilizadas, enquanto a maioria das janelas do &konsole; abertas a partir da linha de comando não podem.

## Créditos e Direitos Autorais

O &konsole; é atualmente mantido por &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Os responsáveis anteriores pela manutenção do &konsole; incluem: &Robert.Knight; &Robert.Knight.mail; e &Waldo.Bastian; &Waldo.Bastian.mail;

O aplicativo &konsole; tem o Copyright © 1997-2008 de &Lars.Doelle; &Lars.Doelle.mail;

Este documento foi originalmente escrito por &Jonathan.Singer; &Jonathan.Singer.mail;

Este documento foi atualizado para o &kde; 4.x por &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Este documento foi atualizado para o &kde; 3.4 por &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Convertido originalmente para DocBook SGML por &Mike.McBride; e &Lauri.Watts;

Tradução de Marcus Gama marcus.gama@gmail.com e André Marcelo Alvarenga alvarenga@kde.org

&underFDL; &underGPL;

## Links

Para mais informações, visite estas páginas Web:

- Página Web do &konsole; no &kde; UserBase

- Página Web do &konsole;

- Lista de discussão do &konsole;

- &kde; no FreeBSD

- &kde; no &Solaris;

&documentation.index;